#!/usr/local/bin/perl

$rmax = 20;

printf "r n k d R delta   r n k d R delta\n";
for ($r = 2; $r <= $rmax; $r++) {
	$nk = $r;
	$n = 2 ** $r - 1;
	$k = $n - $nk;
	$hd = 3;
	$sd = 2 ** ($r - 1);
	$hR = $k / $n;
	$sR = $nk / $n;
	$hdelta = $hd / $n;
	$sdelta = $sd / $n;

	if (@ARGV) {
		printf "%2d %2d %2d %2d %7.4f %7.4f   %2d %2d %2d %2d %7.4f %7.4f\n",
			$r, $n, $k, $hd, $hR, $hdelta, $r, $n, $nk, $sd, $sR, $sdelta;
	}
	else {
		printf "%2d %2d %2d %2d %d/%d  %d/%d    %2d %2d %2d %2d %d/%d  %d/%d \n",
			$r, $n, $k,  $hd, $k,$n,  $hd,$n,
			$r, $n, $nk, $sd, $nk,$n, $sd,$n;
	}
}
